<?php
namespace UM_Elementor\Helpers;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class UM_Admin_Helpers {

	public const PRO_PLUGIN_BASENAME = 'um-widgets-elementor-pro-premium/um-addon-elementor.php';

	public static function get_deactivate_plugin_url( string $plugin_basename ): string {
		return wp_nonce_url(
			add_query_arg(
				[
					'action' => 'deactivate',
					'plugin' => $plugin_basename,
				],
				admin_url( 'plugins.php' )
			),
			'deactivate-plugin_' . $plugin_basename
		);
	}
}
